{
  "name": "codehint",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@electron/remote": "^1.2.0",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "bootstrap": "^5.0.2",
    "concurrently": "^6.2.0",
    "cross-env": "^7.0.3",
    "electron-is-dev": "^2.0.0",
    "electron-log": "^4.3.5",
    "iohook": "^0.9.3",
    "jimp": "^0.16.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-jsx-parser": "^1.28.4",
    "react-scripts": "4.0.3",
    "robotjs": "^0.6.0",
    "wait-on": "^5.3.0",
    "web-vitals": "^1.0.1",
    "xml2js": "^0.4.23",
    "xml2json": "^0.12.0"
  },
  "main": "public/main.js",
  "homepage": "./",
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "electron:serve": "concurrently -k \"cross-env BROWSER=none yarn start\" \"yarn electron:start\"",
    "electron:build": "yarn build && electron-builder -c.extraMetadata.main=build/main.js",
    "electron:start": "wait-on tcp:3000 && electron .",
    "rebuild": "npm rebuild --runtime=electron --target=12.0.13 --disturl=https://atom.io/download/atom-shell --abi=83"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "electron": "^12.0.13",
    "electron-builder": "^22.11.7"
  },
  "build": {
    "extraResources": [
      {
        "from": "./src/extraResources/",
        "to": "extraResources",
        "filter": [
          "**/*"
        ]
      }
    ]
  },
  "iohook": {
    "targets": [
      "node-83",
      "electron-87"
    ],
    "platforms": [
      "win32",
      "darwin",
      "linux"
    ],
    "arches": [
      "x64",
      "ia32"
    ]
  }
}
